light-mode-image
Learn
API ReferenceTenants

Retrieve tenant

Analytics Events

TENANT_RETRIEVE_STARTTENANT_RETRIEVE_SUCCESSTENANT_RETRIEVE_FAIL
GET/v1/tenants/{tenantId}

Retrieves a tenant by its ID.

Analytic events

  • TENANT_RETRIEVE_START
  • TENANT_RETRIEVE_SUCCESS
  • TENANT_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string

Unique ID of the tenant to retrieve.

Formatuuid

Response Body

application/json

application/json

text/plain

application/json

curl -X GET "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "name": "string",  "subdomain": "string",  "environment": {    "id": "string",    "name": "string",    "domain": "string",    "authorizationServerDomain": "string",    "deploymentModel": "public",    "region": {      "id": "string",      "name": "string",      "displayName": "string"    }  },  "membership": {    "roles": [      "string"    ]  }}

How would you rate this page?